# GstGLDisplayWayland

GstGLDisplayWayland represents a connection to a Wayland `wl_display` handle created internally (gst_gl_display_wayland_new) or wrapped by the application (gst_gl_display_wayland_new_with_display)

## GstGLDisplayWayland

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstGLDisplay
                    ╰──GstGLDisplayWayland

the contents of a GstGLDisplayWayland are private and should only be accessed through the provided API

### Members

`parent` (GstGLDisplay) –
No description available
`display` (wl_display*) –
No description available
`registry` (wl_registry*) –
No description available
`compositor` (wl_compositor*) –
No description available
`subcompositor` (wl_subcompositor*) –
No description available
`shell` (wl_shell*) –
No description available

### Class structure

#### GstGLDisplayWaylandClass

##### Fields

`object_class` (GstGLDisplayClass) –
No description available
`_padding` (gpointer*) –
No description available

### GstGLWayland.GLDisplayWaylandClass

##### Attributes

`object_class` (GstGL.GLDisplayClass) –
No description available
`_padding` ([ Object ]) –
No description available

### GstGLWayland.GLDisplayWaylandClass

##### Attributes

`object_class` (GstGL.GLDisplayClass) –
No description available
`_padding` ([ object ]) –
No description available

## GstGLWayland.GLDisplayWayland

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstGL.GLDisplay
                    ╰──GstGLWayland.GLDisplayWayland

the contents of a GstGLWayland.GLDisplayWayland are private and should only be accessed through the provided API

### Members

`parent` (GstGL.GLDisplay) –
No description available
`display` (Object) –
No description available
`registry` (Object) –
No description available
`compositor` (Object) –
No description available
`subcompositor` (Object) –
No description available
`shell` (Object) –
No description available

## GstGLWayland.GLDisplayWayland

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstGL.GLDisplay
                    ╰──GstGLWayland.GLDisplayWayland

the contents of a GstGLWayland.GLDisplayWayland are private and should only be accessed through the provided API

### Members

`parent` (GstGL.GLDisplay) –
No description available
`display` (object) –
No description available
`registry` (object) –
No description available
`compositor` (object) –
No description available
`subcompositor` (object) –
No description available
`shell` (object) –
No description available

### Constructors

#### gst_gl_display_wayland_new

    GstGLDisplayWayland *
    gst_gl_display_wayland_new (const gchar* name)

Create a new GstGLDisplayWayland from the wayland display name. See `wl_display_connect`() for details on what is a valid name.

Parameters:

`name` ( [allow-none]) –

a display name

Returns ( [transfer: full][nullable]) –

a new GstGLDisplayWayland or NULL

#### GstGLWayland.GLDisplayWayland.prototype.new

    function GstGLWayland.GLDisplayWayland.prototype.new(name: String): {
        // javascript wrapper for 'gst_gl_display_wayland_new'
    }

Create a new GstGLWayland.GLDisplayWayland from the wayland display name. See `wl_display_connect`() for details on what is a valid name.

Parameters:

`name` (String) –

a display name

Returns (GstGLWayland.GLDisplayWayland) –

a new GstGLWayland.GLDisplayWayland or NULL

#### GstGLWayland.GLDisplayWayland.new

    def GstGLWayland.GLDisplayWayland.new (name):
        #python wrapper for 'gst_gl_display_wayland_new'

Create a new GstGLWayland.GLDisplayWayland from the wayland display name. See `wl_display_connect`() for details on what is a valid name.

Parameters:

`name` (str) –

a display name

Returns (GstGLWayland.GLDisplayWayland) –

a new GstGLWayland.GLDisplayWayland or NULL

#### gst_gl_display_wayland_new_with_display

    GstGLDisplayWayland *
    gst_gl_display_wayland_new_with_display (wl_display* display)

Creates a new display connection from a wl_display Display.

Parameters:

`display` –

an existing, wayland display

Returns ( [transfer: full]) –

a new GstGLDisplayWayland

#### GstGLWayland.GLDisplayWayland.prototype.new_with_display

    function GstGLWayland.GLDisplayWayland.prototype.new_with_display(display: Object): {
        // javascript wrapper for 'gst_gl_display_wayland_new_with_display'
    }

Creates a new display connection from a wl_display Display.

Parameters:

`display` (Object) –

an existing, wayland display

Returns (GstGLWayland.GLDisplayWayland) –

a new GstGLWayland.GLDisplayWayland

#### GstGLWayland.GLDisplayWayland.new_with_display

    def GstGLWayland.GLDisplayWayland.new_with_display (display):
        #python wrapper for 'gst_gl_display_wayland_new_with_display'

Creates a new display connection from a wl_display Display.

Parameters:

`display` (object) –

an existing, wayland display

Returns (GstGLWayland.GLDisplayWayland) –

a new GstGLWayland.GLDisplayWayland

## Function Macros

### GST_GL_DISPLAY_WAYLAND_CAST

    #define GST_GL_DISPLAY_WAYLAND_CAST(obj)        ((GstGLDisplayWayland*)(obj))

The results of the search are